List Slotting Conflicts
Returns cursor-paged Slotting Rules whose latest durable conflict result is positive in the referenced Warehouse. Rule conflict fields are written by asynchronous conflict detection.
meta.status describes current conflict-check queue activity. It is an
operational signal, not a durable generation or point-in-time freshness
guarantee. A detector commit can occur between reading the page, aggregate
counts, and status, so clients should refresh after queued or processing
work settles.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Warehouse.
Query Parameters
Specify fields of the SlottingRule object to include in the response.
all, rule_set, name, relation, strength, priority, merchant_ids, merchants, product_profile_ids, product_profiles, product_profile_match_mode, handling_class_ids, handling_classes, location_profile, subject_readable, location_match_readable, has_conflicts, conflict_detail, created_at, updated_at Specify fields of the SlottingRuleSet object referenced by each Rule.
See the selecting fields page for more information.
Specify fields of the SlottingRuleSet object to include in the response.
all, name, description, is_active, rule_count, has_conflicts, conflicting_rule_count, created_at, updated_at Specify fields of the LocationProfile object referenced by each Rule.
See the selecting fields page for more information.
Specify direct display fields of an included LocationProfile object.
name, description, status, member_count, match_readable, created_at, updated_at Specify direct fields of selected Merchant objects to include under included.Merchant. Add merchants to the root fields parameter to return the relationship. type and id are always returned.
Specify direct fields of an included Merchant object.
code, name, status, created_at, updated_at Specify fields of selected ProductProfile objects to include under included.ProductProfile. Add product_profiles to the root fields parameter to return the relationship. type and id are always returned.
Specify fields of an included ProductProfile object.
basic, all, name, code, conditions, conditions_readable, matched_count, classification, created_at, updated_at Specify direct fields of selected HandlingClass objects to include under included.HandlingClass. Add handling_classes to the root fields parameter to return the relationship. type and id are always returned.
Specify direct fields of an included HandlingClass object.
name, code, sort_order, conditions, conditions_readable, matched_count, classification, created_at, updated_at Using the filtering syntax, filter results by:
idnamerelationstrengthpriorityproduct_profile_match_modelocation_profile_idhas_conflicts
The default sort order is ascending by id.
The following fields are available for sorting:
idnamerelationpriorityhas_conflictsupdated_at
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the last id of the next page of results, non-inclusive.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the starting id of the next page of results.
See paging parameters for more information on paging.
Number of conflicting SlottingRule objects to return; maximum 250.
1 <= x <= 25050
Response
A bounded collection of conflicting Rules in the requested Warehouse.
Slotting Rules with a positive durable conflict result.
Direct objects included by specifying nested fields. Relationship trees below these editor selections are never expanded. See the selecting fields page.
True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.
The resource path for the next page of results if any are expected.
The resource path for the previous page of results if any are expected.
Additional metadata pertaining to the response.